/***************************************************************************
                          pixmaptextlistboxitem.h  -  description                              
                             -------------------                                         
    begin                : Mon Dec 13 1999                                           
    copyright            : (C) 1999 by Peter Gasparik                         
    email                : pgasparik@yahoo.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef PIXMAPTEXTLISTBOXITEM_H
#define PIXMAPTEXTLISTBOXITEM_H

#include <qlistbox.h>

/**
  *@author Peter Gasparik
  */

class PixmapTextListBoxItem : public QListBoxItem
{
public:
	PixmapTextListBoxItem(const char *text, const QPixmap pixmap);

protected:
  virtual void paint(QPainter *p);
  virtual int height(const QListBox *) const;
  virtual int width(const QListBox *) const;
  virtual const QPixmap *pixmap() { return &pm; }

private:
	QPixmap pm;
};


#endif
