/***************************************************************************
                          aboutdialog.cpp  -  description                              
                             -------------------                                         
    begin                : Wed Nov 17 1999                                           
    copyright            : (C) 1999 by Peter Gasparik                         
    email                : pgasparik@yahoo.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qpixmap.h>

#include "aboutdialog.h"
#include "appload11.h"

extern const char *pixmap_appload11[];

AboutDialog::AboutDialog(QWidget *parent, const char *name) : QDialog(parent,name,true)
{
	initDialog();
	setCaption("About appload11");
	PixmapLabel->setPixmap(QPixmap(pixmap_appload11));
	connect(OkButton, SIGNAL(clicked()), this, SLOT(slotClose()));
	QString text("Application Loader for 68HC11 ver. ");
	text += SW_VERSION;
	TitleLabel->setText(text.data());
}

AboutDialog::~AboutDialog()
{
}

void AboutDialog::slotClose()
{
	close();
}
