/***************************************************************************
                          pixmaps.cpp  -  description                              
                             -------------------                                         
    begin                : Wed Dec 8 1999                                           
    copyright            : (C) 1999 by Peter Gasparik                         
    email                : pgasparik@yahoo.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

const char *pixmap_fopen[] =
{
  "16 16 5 1",
  "c c #808000",
  "# c #000000",
  "a c #ffff00",
  ". c None",
  "b c #ffffff",
  "................",
  ".........###....",
  "........#...#.#.",
  ".............##.",
  ".###........###.",
  "#aba#######.....",
  "#babababab#.....",
  "#ababababa#.....",
  "#baba###########",
  "#aba#ccccccccc#.",
  "#ba#ccccccccc#..",
  "#a#ccccccccc#...",
  "##ccccccccc#....",
  "###########.....",
  "................",
  "................"
};

const char *pixmap_exit[] =
{
  "16 16 16 1",
  "a c Black",
  "b c #800000",
  "c c #008000",
  "d c #808000",
  "e c #000080",
  "f c #800080",
  "g c #008080",
  ". c none",
  "i c #808080",
  "j c Red",
  "k c Green",
  "l c Yellow",
  "m c Blue",
  "n c Magenta",
  "o c Cyan",
  "p c Gray100",
  "................",
  ".aaaaaaaaa......",
  ".aaapppppa......",
  ".affaapppa......",
  ".affffaapa...f..",
  ".afffffapa..ff..",
  ".afffffapa.fffff",
  ".afffffapa..ff..",
  ".afffffapa...f..",
  ".afffpiapa......",
  ".afffffaia......",
  ".afffffaaa......",
  ".aaafffa........",
  "...aaafa........",
  ".....aaa........",
  "................"
};

const char *pixmap_config[] =
{
  "16 16 15 1",
  "a c Black",
  "b c #800000",
  "c c #008000",
  "d c #808000",
  "e c #000080",
  "f c #800080",
  "g c #008080",
  "h c #808080",
  "i c #c0c0c0",
  "j c Red",
  "l c Yellow",
  "m c Blue",
  ". c none",
  "o c Cyan",
  "p c Gray100",
  "....ep..........",
  "....eep.........",
  "eeeeeeepaaa.....",
  "eeeeeeeeppaa....",
  "eeeeeeeeepapa...",
  "eeeeeeeeppaaah..",
  "eeeeeeepppppaaa.",
  "ppppeepjjjjpabba",
  "...pepppppppaaaa",
  "...ppppjjjjalla.",
  "....appppppala..",
  "....apjjjjalla..",
  "....apppppala...",
  "....aaaaaaala...",
  "..........aa....",
  "....a.a.a.a....."
};

const char *pixmap_help[] =
{
  "16 14 76 1",
  " 	c None",
  ".	c None",
  "+	c #000000",
  "@	c #57207A",
  "#	c #6F20A1",
  "$	c #3E135A",
  "%	c #6E355E",
  "&	c #764494",
  "*	c #8E8E8E",
  "=	c #565656",
  "-	c #57386A",
  ";	c #959595",
  ">	c #BDBDBD",
  ",	c #E0AFFF",
  "'	c #D79CFD",
  ")	c #3F1A56",
  "!	c #6C2599",
  "~	c #71498C",
  "{	c #D9A1FD",
  "]	c #D28EFB",
  "^	c #D493FC",
  "/	c #D69AFD",
  "(	c #610D92",
  "_	c #71448E",
  ":	c #9A8EA0",
  "<	c #D290FC",
  "[	c #C879F9",
  "}	c #D6A4E5",
  "|	c #E6E649",
  "1	c #4E1B6E",
  "2	c #62347D",
  "3	c #BABABA",
  "4	c #A3A3A3",
  "5	c #C87AFA",
  "6	c #BE64F8",
  "7	c #C370F9",
  "8	c #D39DE8",
  "9	c #D49CED",
  "0	c #5B2481",
  "a	c #9C999F",
  "b	c #999999",
  "c	c #B54FF6",
  "d	c #B857F6",
  "e	c #BC61F8",
  "f	c #CA85D4",
  "g	c #E1C3DB",
  "h	c #D495FC",
  "i	c #A072BE",
  "j	c #41165E",
  "k	c #7E5A95",
  "l	c #ACACAC",
  "m	c #C985C3",
  "n	c #CF93BE",
  "o	c #C674F9",
  "p	c #CC84FA",
  "q	c #9D6CBD",
  "r	c #5B2380",
  "s	c #9D9D9D",
  "t	c #9C9C9C",
  "u	c #BD62F8",
  "v	c #BF6AF8",
  "w	c #C471F9",
  "x	c #975DBB",
  "y	c #3C3C3C",
  "z	c #505050",
  "A	c #7B5394",
  "B	c #B0B0B0",
  "C	c #B754F7",
  "D	c #BC5FF8",
  "E	c #A15ECC",
  "F	c #723E93",
  "G	c #9546C9",
  "H	c #BB5DF7",
  "I	c #8D49BA",
  "J	c #471565",
  "K	c #8940B8",
  ".........+++....",
  ".......++@#$+...",
  ".....++%#&*=++..",
  "...++-#&;>++,'+.",
  "..+)!~;>++{]^/+.",
  ".+(_:>++<[}||//+",
  "+1234+566789|//+",
  "+.0ab+cdef||ghi+",
  ".+jkl+cc|mnopq+.",
  "..+rst+c|uvwx+..",
  ".yz+AB+cCD6E+...",
  "...z+F+GcHI+....",
  ".....+J+cK+.....",
  ".......+++......"
};

const char *pixmap_about[] =
{
  "17 17 16 1",
  "a c Black",
  "b c #bf0000",
  "c c #00bf00",
  "d c #bfbf00",
  "e c #0000bf",
  "f c #bf00bf",
  "g c #00bfbf",
  ". c none",
  "i c #808080",
  "j c Red",
  "k c Green",
  "l c Yellow",
  "m c Blue",
  "n c Magenta",
  "o c Cyan",
  "p c Gray100",
  ".................",
  ".................",
  ".....e....aaaaaa.",
  "....iei..........",
  "....eee..........",
  "...ie.ei..aaaaaa.",
  "...eeeee.........",
  "..ie...ei........",
  "..eee.eee.aaaaaa.",
  ".................",
  ".................",
  "..aaaaaaaaaaaaaa.",
  ".................",
  ".................",
  "..aaaaaaaaaaaaaa.",
  ".................",
  "................."
};

const char *pixmap_appload11[] =
{
  "32 32 5 1",
  "b c #000000",
  ". c None",
  "a c #848484",
  "# c #ffff00",
  "c c #ff0000",
  "................................",
  "...###########################..",
  "..#############################.",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "..#############################a",
  "...###########################aa",
  "....aaaaaaaaaaaaaaaaaaaaaaaaaaa.",
  "................................",
  ".......bbbbbbbbbbbbb.......##...",
  "......bcccccccccccccb.....####..",
  ".....bcccccccccccbccb.....####a.",
  "....bcccccccccccbcccb......##aa.",
  "...bcccccccccccbcccba...#...aa..",
  "..bcccccccccccbcccba...###......",
  ".bcbbbbbbbbbbbcccba.##..#aa.....",
  ".bcccccbbcccccccba..##a..a......",
  ".bccccbccbcccccba....aa.........",
  "..bccbccbbcccbba................",
  "...bbccbbbbbbaa.................",
  "...bccbaaaaaa...................",
  "..bccba.........................",
  ".bccba..........................",
  ".bcba...........................",
  "bccba...........................",
  "ccba............................",
  "cbba............................"
};

const char *pixmap_doc[] =
{
"16 16 5 1",
"c c #c0c000",
"# c #000000",
"a c #ffffc0",
". c None",
"b c #ffffff",
"......##........",
"......#a###.....",
".....#ababa###..",
".....#bbbbbaba##",
"....#abbbbababa#",
"....#abbbabaaaa#",
"...#ababababaaa#",
"...#bababababac#",
"..#bababababaa#.",
".#aabaaabaaaaa#.",
"#aaaababababaa#.",
"#caaaaaabaaaac#.",
".##caaaaaaaaa#..",
"...###caaaaac#..",
"......###cac#...",
".........###...."
};

const char *pixmap_docInt[] =
{
"16 16 6 1",
"d c #c0c000",
"# c #000000",
"a c #ffffc0",
"c c #0000ff",
". c None",
"b c #ffffff",
"......##........",
"......#a###.....",
".....#ababa###..",
"....ccccbbbaba##",
"....#ccbbbababa#",
"....#ccbbabaaaa#",
"...#accbababaaa#",
"...#bccabababad#",
"..#baccbababaa#.",
".#aaccccbaaaaa#.",
"#aaaababababaa#.",
"#daaaaaabaaaad#.",
".##daaaaaaaaa#..",
"...###daaaaad#..",
"......###dad#...",
".........###...."
};

const char *pixmap_docMot[] =
{
"16 16 6 1",
"d c #c0c000",
"# c #000000",
"a c #ffffc0",
"c c #0000ff",
". c None",
"b c #ffffff",
"......##........",
"......#a###.....",
".....#ababa###..",
"..ccc#bbcccaba##",
"...cccbcccababa#",
"...cccccccbaaaa#",
"...ccbcbccabaaa#",
"...ccabaccbabad#",
"..#ccbabccabaa#.",
".#ccccaccccaaa#.",
"#aaaababababaa#.",
"#daaaaaabaaaad#.",
".##daaaaaaaaa#..",
"...###daaaaad#..",
"......###dad#...",
".........###...."
};